login:
  # Should the plugin be disabled if online mode is on?
  disable_if_online_mode: false
  # Require a login to play?
  require: true
  # Should a player that is already online and logged in be kicked if another player attempts to join as him?
  kick_if_already_online: false
  restrictions:
    chat:
      # Allow chat from players NOT logged in?
      allowed: false
      # If chat.allowed is true, prefix all messages from players not logged in with the following
      prefix: "[NLI]"
    commands:
      # Allow commands from players NOT logged in?
      allowed: false
      # Commands to be allowed if commands.allowed is false. Useful for on-join commands.
      # Aliases can be used unless the command has an argument. In the default values, "!" will work for "unstuck," but
      # "we cui" will not work for "worldedit cui."
      exempt:
      - "!"
      - "we cui"
    movement:
      # Allow looking around (only changing vision, not walking)
      look_around: true
      # Allow walking around (includes changing vision)?
      walk: false
  godmode:
    # Should players that have yet to login have godmode?
    enabled: true
    after_login:
      # Enable god mode after the player logs in?
      enabled: true
      # Length in seconds
      length: 10.0
  # Set players that are not logged in to adventure mode?
  adventure_mode: false
  # Teleport players to spawn?
  teleport_to_spawn: false
  remind:
    # Remind players to login/register if they have not?
    enabled: true
    # Interval (in seconds) to remind players to login/register
    interval: 10.0
    kick:
      # Kick players that take too long to log in?
      enabled: false
      # How long to wait for a player to login before kicking them in seconds
      wait: 30.0

# Login sessions. If you log out and log back in, you will not be prompted for a password again if these are configured.
sessions:
  # Enabled login sessions?
  enabled: true
  # Length in minutes for a session to last. A session starts at player quit.
  length: 15.0
  # Check the IP of the player logging in again to make sure it matches? This should probably be true.
  check_ip: false

usernames:
  # Verify if the username is a valid Minecraft username?
  verify: true
  # Regular expression to check usernames against. If you don't know regular expressions, don't tinker with this.
  regex: "[\\w]{2,16}"

passwords:
  # Encryption type to use on passwords. Can be any Java type or RAUTH, which is SHA-512 rehashed 25 times.
  hash_type: "RAUTH"
  # Passwords to reject on registration and warn about on login. Case-insensitive
  disallowed:
  - "password"
  - "[password]"

# Userdata saving options
saving:
  # How often (in minutes) to save the player userdata to the disk. Userdata will be stored locally and accessed
  # locally, but it must be saved to persist. The data will be saved when the plugin is disabled, as well. This cannot
  # be set to lower than 1.
  interval: 5.0
